Subject: Re: Interim AH in MEGACO

From: "Rosen, Brian" <[email-masked]>
Date: Sat, 1 Apr 2000 10:01:40 -0500

I'll need to do some more checking, but at first glance I think you
have found an error, and it should be 24 - 64 hex digits.

The port number question is very interesting.  It's hard not to conclude
that
it's the destination port number, as that would be the one in the UDP
header.
However, the most useful one would be the source port, as it's more useful
to aid in anti-spoofing.  I think we had better not go there, and say it's
the destination port, just like it would be in the real IPSEC.

Brian

> -----Original Message-----
> From: J Ramachandra [mailto:[email-masked]]
> Sent: Thursday, March 30, 2000 7:25 AM
> To: [email-masked]
> Subject: Interim AH in MEGACO
>
>
> Hello,
>
> I have a couple of questions on Interim AH Scheme.
>
> The MEGACO V16 document (section 10.2) refers to RFC 2402
> Section 5. This in turn refers to RFC 2403 (HMAC-MD5-96)
> and RFC 2404 (HMAC-SHA-1-96)as two possible options. These
> two algorithms produce 128 and 160 bits authenticator value,
> but over the network only truncated 96 bits are transmitted
> to reduce the attack.
> Now, the question is, MEGACO/H.248 ABNF specifies authData
> as 32 to 64 Hex digits. Why is it not from 24 to 64
> hex digits?  Where one has to fit in the 24 hex digits(96 bits)
> in this 32 Hex digit space? OR am I missing something?
>
> Also, the same section specifies "synthesized IP header
> consisting of a 32 bit source IP address, a 32 bit destination
> address and an 16 bit UDP encoded as 10 hex digits". Which UDP
> port number to be used  (Source or destination)?
>
>
> - J.K.Ramachandra,
>   AXES TECHNOLOGIES.
>

---

From: Tom-PT Taylor <[email-masked]>
Date: Thu, 13 Apr 2000 10:39:44 -0500

I will add this to the "resolved issues" section of my error document.  In
brief: change words in section 10.2, change ABNF.

> From: Rosen, Brian [SMTP:[email-masked]]
> Sent: Saturday, April 01, 2000 10:02 AM
> To:   [email-masked]
> Subject:      Re: Interim AH in MEGACO
>